<?php
 
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																	Portfolio Layout

*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////				 					

 $of_options[] = array(	"position"		=> "start",
						"id" 			=> "portfolio_layout_start",	
						"type"		=> "content"
				);
				
$of_options[] = array( 	"name" 			=> esc_html__('Portfolio Layout' , 'reza'),
						"type" 			=> "title"
				);		 
 						

$of_options[] = array( 	"name" 			=> esc_html__( 'Portolio Full Width' , 'reza'),
   						"id" 			=> "portfolio_full_width",
 						"on" 			=> esc_html__( 'Enable' , 'reza' ),
						"off" 			=> esc_html__( 'Disable', 'reza' ),
						"type" 			=> "switch",
 				);		
				
						
						
							 
$url_portfolio = REZA_DIR . '/admin/assets/images/';
$of_options[] = array(	"name" 			=> esc_html__( 'Portfolio Layout' , 'reza'),
   						"id" 			=> 	"portfolio_layout",
 						"type" 			=> "select",
						"options" 		=> array(	
 													'list' 	=>  esc_html__( 'List' , 'reza'),
													'grid' 	=>  esc_html__( 'Grid' , 'reza'),
													'featured' 	=>  esc_html__( 'Featured' , 'reza'),
 											)
				);	
 	
$of_options[] = array(	"name" 			=> esc_html__( 'Portfolio List Layout' , 'reza'),
   						"id" 			=> 	"portfoilo_list_layout",
 						"fold_array"	=>  array(
											'list'			=>'portfolio_layout', 
											),	
						"type" 			=> "images",
						"options" 		=> array(	
													'list_1' 	=> $url_blog.'list/list_1.jpg',
													'list_2' 	=> $url_blog.'list/list_2.jpg',
													'list_3' 	=> $url_blog.'list/list_3.jpg',
													'list_4' 	=> $url_blog.'list/list_4.jpg',
 										)
				);			
				 
				 
$of_options[] = array(	"name" 			=> esc_html__( 'Portfolio Grid Layout' , 'reza'),
   						"id" 			=> "protfolio_grid_layout",
 						"fold_array"	=>  array(
													'grid'			=>'portfolio_layout', 
											),			
						"type" 			=> "images",
						"options" 		=> array(
													'grid_1' 	=> $url_blog.'grid/grid_1.jpg',
													'grid_2' 	=> $url_blog.'grid/grid_2.jpg',
													'grid_3' 	=> $url_blog.'grid/grid_3.jpg',
													'grid_4' 	=> $url_blog.'grid/grid_4.jpg',
													'grid_5' 	=> $url_blog.'grid/grid_5.jpg',
													'grid_6' 	=> $url_blog.'grid/grid_6.jpg',
											)
				);
							
$of_options[] = array(	"name"	 		=> esc_html__( 'Portfolio Featured Layout' , 'reza'),
   						"id" 			=> 	"protfolio_featured_layout",
 						"fold_array"	=>  array(
													'featured'		=>'portfolio_layout', 
											),			
						"type" 			=> "images",
						"options" 		=> array(	
													'featured_1' 	=> $url_blog.'featured_1/featured_1.jpg',
													'featured_2' 	=> $url_blog.'featured_2/featured_2.jpg',
													'featured_3' 	=> $url_blog.'featured_3/featured_3.jpg',
													'featured_4' 	=> $url_blog.'featured_4/featured_4.jpg',
													'featured_5' 	=> $url_blog.'featured_5/featured_5.jpg',
													'featured_6' 	=> $url_blog.'featured_6/featured_6.jpg',
										)
				);		

$of_options[]=  array( 	"name"			=> esc_html__('Column in Tablet and Mobile','reza'),
						"id"			=> "protfolio_responsive_column",
						"type"			=> "select",
 						"options" 		=> reza_array_options('responsive_column',true), 
			 
);

$of_options[] = array( 	"name" 			=> esc_html__( 'Space Between Item' , 'reza'),
   						"id" 			=> "portfolio_between",
  						"type" 			=> "select",
					"options"		=>	 reza_array_options('between'),

				);	
 
							
$of_options[] = array( 	"name"			=> esc_html__( 'Image Ratio' , 'reza'),
   						"id" 			=> "portfolio_image_ratio",
  						"type" 			=> "select",
						"options" 		=>  reza_array_options('ratio',true),
				);		
				
$of_options[] = array( 	"name" 			=> esc_html__( 'Image Size' , 'reza'),
   						"id" 			=> "portfolio_image_size",
  						"type" 			=> "select",
						"options" 		=>  reza_all_image_sizes()
				);	  
						 
$of_options[] = array( 	"name" 			=> esc_html__( 'Image Width' , 'reza'),
   						"id" 			=> "portfolio_image_width",
						 'type'			=> 'select',
 						"options" 		=>  reza_array_options('image_width'),

				);				  
  							
$of_options[] = array( 	'name'			=> esc_html__('Details Alignment','reza'),
						'id'			=> 'portfolio_alignment',
 						'group'			=>  esc_html__('Details','reza'),
						'type'			=> 'select',
						"options" 	=>  reza_array_options('alignment_justify'),

 				); 
				
 
					 		
$of_options[]= array(	"name"			=> esc_html__('Portfolio Box Layout','reza'),
						"id"			=> "portfolio_box_layout",
						"type"			=> "select",
							"options" 	=>  reza_array_options('box_layout'),

				); 	

				
$of_options[]= array(	"name"			=> esc_html__('Portfolio Caption Layout','reza'),
						"id"			=> "portfolio_caption_layout", 
						"group"			=>  esc_html__('Layout','reza'), 		
						"type"			=> "select",
						"options" 	=>  reza_array_options('caption_layout'),
	 
   					); 	
	 			
$of_options[]= array(	"name"			=> esc_html__('Meta Layout','reza'),
						"id"			=> "portfolio_meta_layout", 
						"type"			=> "multi_options",
						"options" 	=>  reza_multi_array_options('meta_layout'),

 				); 	
				
$of_options[] = array( 	"position"	 	=> "end",
 						"type"			=> "content"
 				);	
