<?php
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Post Grid 
 
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_post_grid($option){
 	$grid_layout = reza_data($option,'grid_layout','grid_1');
 	//*********************************Desktop***********************/
 	if(empty(reza_ismobile())){ 
		if(	$grid_layout=='grid_1' || 
			$grid_layout=='grid_2' ||
			$grid_layout=='grid_3' ||
			$grid_layout=='grid_4' ||
			$grid_layout=='grid_5' || 
			$grid_layout=='grid_6' ||
			$grid_layout=='grid_7' ||
 			$grid_layout=='grid_8') reza_post_grid_main($option);
			
		if( $grid_layout=='grid_9'  ||
			$grid_layout=='grid_10' ||
			$grid_layout=='grid_11' ||
			$grid_layout=='grid_12' ||
			$grid_layout=='grid_13' ) reza_post_grid_9($option);
			
		if($grid_layout=='grid_14') reza_post_grid_14($option);
		if($grid_layout=='grid_15') reza_post_grid_15($option);
	} 

	//*********************************Mobile***********************/
	if(!empty(reza_ismobile())){ 
	
		$default='';
		 if(
			$grid_layout=='grid_9' ||
			$grid_layout=='grid_10' ||
			$grid_layout=='grid_11' ||
			$grid_layout=='grid_12' ||
			$grid_layout=='grid_13' ||
			$grid_layout=='grid_14' ||
			$grid_layout=='grid_15'
		){ 
			$default='first_tab_2_mob_2';
		} 
		
     	$responsive_column =!empty($option['responsive_column'])? $option['responsive_column']:$default;
		
		
 		if(	$responsive_column=='first_tab_2_mob_1'||
			$responsive_column=='first_tab_3_mob_1'||
			$responsive_column=='first_tab_4_mob_1'||
			$responsive_column=='first_tab_2_mob_2'||
			$responsive_column=='first_tab_3_mob_2'||
			$responsive_column=='first_tab_4_mob_2' 
		){
			reza_post_grid_first($option);
 		}else{
			reza_post_grid_main($option);
 		} 		 
	}		 
}
add_action('wp_ajax_nopriv_reza_post_grid', 'reza_post_grid');
add_action('wp_ajax_reza_post_grid', 'reza_post_grid');
 
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Post Grid Main
 
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 function reza_post_grid_main($option =false) {
  	$query = reza_query($option);
	if( $query->have_posts() ) : 
	while ( $query->have_posts() ) : $query->the_post(); 
  		  reza_module_2($option);
   	endwhile; 
	endif; 
} 
add_action('wp_ajax_nopriv_reza_post_grid_main', 'reza_post_grid_main');
add_action('wp_ajax_reza_post_grid_main', 'reza_post_grid_main');
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Post Grid 9
 
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_post_grid_9($option = false) { 
 	$count = reza_data($option,'ajaxcount')?10:0; 
 	$query = reza_query($option);
  	if( $query->have_posts() ) : 
	while ( $query->have_posts() ) : $query->the_post(); 
		$count++;
		if($count==1){
			reza_module_2($option,'rd-aw');
		} else{
			reza_module_2($option,'rd-second',true,true,true);
		}
 	 	  
   	endwhile; 
	endif;  	 
}
 

 
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Post Grid 14
 
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_post_grid_14($option) { 
 	$count = reza_data($option,'ajaxcount')?10:0; 
 	$query = reza_query($option);
		$num = $query->post_count;	

	if( $query->have_posts() ) : 
	while ( $query->have_posts() ) : $query->the_post(); 
		$count++;
 		 if($count==1 || $count==2){
 			reza_module_2($option,'rd-aw');
  		}else{
			reza_module_2($option,'rd-second',true,true,true);
 			
		}
  
	endwhile; 
	endif;  
}
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Post Grid 15
 
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_post_grid_15($option = false) { 
    
 	$count = reza_data($option,'ajaxcount')?10:0; 
  	$query = reza_query($option);
	$num = $query->post_count;	
 	if( $query->have_posts() ) : 
	while ( $query->have_posts() ) : $query->the_post(); 
		$count++;
  		 if($count==1 || $count==2|| $count==3){
 			reza_module_2($option,'rd-aw');
 	 
		}else{
			reza_module_2($option,'rd-second',true,true,true);
 		}
  
	endwhile; 
	endif; 
	 
}
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Post Grid First
 
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_post_grid_first($option =false) {
 	$count = reza_data($option,'ajaxcount')?10:0; 
   	$query = reza_query($option);
	if( $query->have_posts() ) : 
	while ( $query->have_posts() ) : $query->the_post(); 
		$count++;
		if($count==1){
			reza_module_2($option,'rd-aw');
 		}else{
 			reza_module_2($option);
		}
  	endwhile; 
	endif; 
} 