<?php
if(is_admin()){

/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																		Socail Icons
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
add_filter('sao_element_item', 'sao_element_item_social_icons');
function sao_element_item_social_icons( $element ) {
 	
 	$element[]= array(
 		'name'			=> 	esc_html__('Social Icons','reza'),
 		'id'			=> 'social_icons',
		'group'			=> esc_html__('magical','reza'),		
		'img'			=>  REZA_DIR.'/admin/assets/images/element-social.jpg',
  	); 
   
	return $element;
}  
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																		Socail Icons Options
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
add_filter('sao_element_options_social_icons', 'reza_social_icons_options');
function reza_social_icons_options( $option ) {
 

					
  	foreach ( reza_array_options('social') as $key => $name){
 		$option[] = array( 	
			"name" 			=> $name,
			"desc" 		=> __('Insert your custom link to show icon. Leave blank to hide icon' , 'reza' ),
			"id" 		=> "social_".$key,
			"default" 		=> "",
			"type" 		=> "text"
		);							 		
								
	} 

	$option[]= array( 
		"name"			=> __('Social Icon Size','reza'),
 		"id"			=> "icon_size",
 		"group"			=>  esc_html__('Layout','reza'),
 		"type"			=> "number",
 
 	); 		 	 
 
	$option[]= array( 
		
	
		"name"			=> esc_html__('Space Between Item','reza'),
 		"id"			=> "between",
 		"group"			=>  esc_html__('Layout','reza'),
		"type"			=> "select",
		"options" 		=> reza_array_options('between',true), 
   	); 	 	 	 	 
	$option[]= array( 
		"name"			=> __('Alignment','reza'),
 		"id"			=> "alignment",
  		"group"			=>  __('Layout','reza'),
		"default"		=>  'center',
		"desc"			=>  __('Default "Center"','reza'),
		"type"			=> "select",
			"options" 		=> reza_array_options('alignment',true), 
	
 					
		 
	);
  
	
	
	$option[]= array( 
		"name"			=> __('Icon Style','reza'),
 		"id"			=> "icon_style",
		"group"			=>  esc_html__('Style','reza'),
 		"type"			=> "select",
		"options"		=> array(
			"style-1" => esc_html__('Style 1: only icon','reza'),
			"style-2" => esc_html__('Style 2: Boxed Icon','reza'),
			"style-3" => esc_html__('Style 3: Boxed Original Color','reza'),
		),						
	); 
	$option[]= array( 
		"name"			=> __('Social Icon Color','reza'),
 		"id"			=> "icon_color",
		"fold"			=>  array(
			'style-1'			=>'icon_style',
			'style-2'			=>'icon_style',
 		),		
		"group"			=>  esc_html__('Style','reza'),
 		"type"			=> "color_rgba",
 	); 	
	
	$option[]= array( 
		"name"			=> __('Social Icon Background','reza'),
 		"id"			=> "icon_background",
		"fold"			=>  array(
 			'style-2'			=>'icon_style',
 		),	
		"group"			=>  esc_html__('Style','reza'),
 		"type"			=> "color_rgba",
 	); 	
			
	
	$option[]= array( 
		"name"			=> __('Social Icon Border Color','reza'),
 		"id"			=> "icon_border_color",
		"fold"			=>  array(
 			'style-2'			=>'icon_style',
   		),			
		"group"			=>  esc_html__('Style','reza'),
 		"type"			=> "color_rgba",
 	); 	
	
	 
 	$option[]= array( 
		"name"			=> __('Social Icon Border Radius','reza'),
 		"id"			=> "icon_radius",
		"fold"			=>  array(
 			'style-2'			=>'icon_style',
 			'style-3'			=>'icon_style',
  		),	
		"group"			=>  esc_html__('Style','reza'),
 		"type"			=> "select",
  		"options"		=>  reza_array_options('radius',true),						
	 
	); 	 

	  
	   	include REZA_PATH . '/sao-builder/general/sao-element.php';
		 
 
    return $option;
} 
}
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																		Socail Icons Config
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
add_filter('sao_builder_social_icons', 'reza_social_icons_config');
function reza_social_icons_config( $args , $out = false) {
	wp_reset_query();
	wp_reset_postdata();	
	
	
  	$option = $args['option'];
	$key = $args['key'];
	if(reza_element_show($option)=='show'){
		$output='';
		$css ='';
		 
		 
		
		$alignment_class= !empty($option['alignment']) ?$option['alignment']:'center';
		$between_class= !empty($option['between']) ?'rd-gap-'.$option['between']:'';
		$icon_size= !empty($option['icon_size']) ?$option['icon_size']:'';
		$style = !empty($option['icon_style']) ?$option['icon_style']:'style-1';
		$custom_class = !empty( $option['custom_class']) ? $option['custom_class'] : '';
	
		$classes = array(
			'rd-el-'.$key,
			'rd-el-social',
			 $between_class,
			'rd-aw',
			'rd-align-'.reza_alignment($alignment_class),
			reza_element_show($option,true),
			$custom_class		
		);
		ob_start(); 
 		?>
	 
		<aside <?php  reza_el_id($option);?> class="<?php echo esc_attr(join( ' ', $classes ));?> " <?php echo reza_el_cssanime($option);?>>
			<div class="rd-social-icon-<?php echo esc_attr($style);?>">
				<?php reza_social_content($style,$option,'social_');?>
			</div>
		</aside>
        
		 <?php
		$item = '.rd-el-'.$key.'';
		$item_css=
 			reza_var_unit('--rd-scl-sz',$option,'icon_size').
			reza_var('--rd-scl-txt',$option,'icon_color').
			reza_var('--rd-scl-bg',$option,'icon_background').
			reza_var('--rd-scl-br-cr',$option,'icon_border_color').
			reza_var('--rd-scl-rd',$option,'icon_radius');
	
			
			
		$item_css.= reza_element_padding($option);
		$css =reza_item_css($item_css,$item);
		$return['output']=  ob_get_clean();
		$return['css']= $css;
		$return['emptybefore']= true;
		$return['emptyafter']= true;
	
	
		if( !empty($out)){
			$output = $return['output'];
			$output.=!empty($return['css'])?'<style>'.$return['css'].'</style>':'';
			return $output;
		}else{
			return $return;	
		}
	}
}
 