<?php 
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Register Widget Portfolio Tags
 
*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
add_action( 'widgets_init', 'reza_register_portfolio_tags' );
 function reza_register_portfolio_tags() {
    register_widget( 'reza_portfolio_tags' );
}
class reza_portfolio_tags extends WP_Widget {
	function __construct() {
		parent::__construct(
			'reza_portfolio_tags',
			__('Magical','reza').' - '.esc_html__('Portfolio Tags' , 'reza') 
		);
	}
		public  function option(){
		$option=array();
 
     	$option[]=array(
				'name' =>__('Title' , 'reza' ),
 				'id' => 'title',
 				'type' => 'text'
		);
     	$option[]=array(
				'name' =>__('Count' , 'reza' ),
 				'id' => 'count',
 				'type' => 'number'
		);	 
		return $option;
    }
  /********** Update the widget info from the admin panel *******/
 	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
  		return	reza_widget_options_save( $new_instance, $old_instance,$this->option() );
 	}
 
	/********** Display the widget update form *******/
 	public function form( $instance ) { 
		$defaults = array( 'title'=>__('Tags' , 'reza' ));

		
		$instance = wp_parse_args( (array) $instance, $defaults );
 
		reza_widget_options($instance,$this->id_base,$this->number,$this->option());
  
 	}	
    /**********  The widget For Display *******/
	function widget( $args, $instance ) {
 		extract( $args );
 		$title = apply_filters('widget_title', $instance['title'] );
  		$count  =  !empty( $instance['count'] ) ? $instance['count'] : '25';
  		echo wp_kses_post($args['before_widget']); ?>


		<?php if( !empty($title)){ ?>
        
 			<?php 
            echo wp_kses_post($before_title);
 			echo esc_html($title); 
 			echo wp_kses_post($after_title);
		}
		?>
	 
		<div class="rd-tags-box ">
			<?php wp_tag_cloud( $tags = array( 'largest' => 8, 'taxonomy'   => 'portfolio_tag', 'post_type'  => 'portfolio','number' => $count, 'orderby'=> 'count', 'order' => 'DESC' )); ?>
		</div>
  		<?php
        echo wp_kses_post($args['after_widget']); 
	
	}
    

}