<?php
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																	Portfolio Archive Options

*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////		

 $of_options[] = array(	"position"		=> "start",
						"id" 			=> "portfolio_archive_start",	
						"type"		=> "content"
				);
$of_options[] = array( 	"name" 			=> esc_html__( 'Portfolio Archive Options' , 'reza'),
						"type" 			=> "title"
				);		
						
 $of_options[] = array( "name" 			=> esc_html__( 'Portfolio Title' , 'reza'),
						"desc" 			=> esc_html__( 'This text will display in the page Title Bar of the assigned Portfolio Page' , 'reza'),
  						"id" 			=> "portfolio_title",
 						"type" 			=> "text",
 	
 				);	
												
				
$of_options[] = array( 	"name" 			=> esc_html__( 'Show Title Posts' , 'reza'),
 						"id" 			=> "portfolio_post_title",
  						"on" 			=> esc_html__( 'Enable' , 'reza' ),
						"off" 			=> esc_html__( 'Disable', 'reza' ),
						"type" 			=> "switch",
				);			
 
$of_options[] = array( "name" 			=> esc_html__( 'Limit Title length' , 'reza'),
						"desc" 			=> esc_html__( 'Please enter Maximum number of characters' , 'reza'),
						"id" 			=> "portfolio_title_limit",
						"fold" 			=> "portfolio_post_title",
  						"type" 			=> "text-mini"
 				);
$of_options[] = array( 	"name" 			=> esc_html__( 'Show Excerpt Posts' , 'reza'),
 						"id" 			=> "portfolio_excerpt",
  						"on" 			=> esc_html__( 'Enable' , 'reza' ),
						"off" 			=> esc_html__( 'Disable', 'reza' ),
						"type" 			=> "switch",
				);
 			 			
									
$of_options[] = array( "name" 			=> esc_html__( 'Limit Excerpt length' , 'reza'),
						"desc" 			=> esc_html__( 'Please Enter Maximum Number of characters' , 'reza'),
						"id" 			=> "portfolio_excerpt_limit",
						"fold" 			=> "portfolio_excerpt",
 						"type" 			=> "text-mini"
 				); 


$of_options[] = array( 	"name" 			=> esc_html__( 'Author Meta' , 'reza'),
 						"id" 			=> "portfolio_meta_author",
  						"on" 			=> esc_html__( 'Enable' , 'reza' ),
						"off" 			=> esc_html__( 'Disable', 'reza' ),
						"type" 			=> "switch",
				);
				
				
$of_options[] = array( 	"name" 			=> esc_html__( 'Category Meta' , 'reza'),
 						"id" 			=> "protfolio_meta_category",
  						"on" 			=> esc_html__( 'Enable' , 'reza' ),
						"off" 			=> esc_html__( 'Disable', 'reza' ),
						"type" 			=> "switch",
				);	
				
				
$of_options[] = array( 	"name" 			=> esc_html__( 'Date Meta' , 'reza'),
 						"id" 			=> "portfolio_meta_date",
  						"on" 			=> esc_html__( 'Enable' , 'reza' ),
						"off" 			=> esc_html__( 'Disable', 'reza' ),
						"type" 			=> "switch",
				);
 
					
$of_options[] = array( 	"name" 			=> esc_html__( 'View Meta' , 'reza'),
 						"id" 			=> "portfolio_meta_view",
  						"on" 			=> esc_html__( 'Enable' , 'reza' ),
						"off" 			=> esc_html__( 'Disable', 'reza' ),
						"type" 			=> "switch",
				); 
				
				
$of_options[] = array( 	"name" 			=> esc_html__( 'Show View More' , 'reza'),
   						"id" 			=> "portfolio_viewmore",
 						"on" 			=> esc_html__( 'Enable' , 'reza' ),
						"off" 			=> esc_html__( 'Disable', 'reza' ),
						"type" 			=> "switch",
				);
				
$of_options[] = array( 	"name" 			=> esc_html__( 'Icon in Hover post' , 'reza'),
   						"id" 			=> "portfolio_hover_post_icon",
    						"type" 			=> "select",
						"options" 		=> array(
													'' 		=>   		esc_html__('Default', 'reza' ),
 													'show'	=>   esc_html__('Show', 'reza' ),
													'hide'	=>   esc_html__('Hide', 'reza' ),
  											)
				);	
				
				
 
$of_options[] = array( 	"position"	 	=> "end",
 						"type"			=> "content"
 				);			
				
