<?php
  /*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Font Family
 
*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_element_padding( $option=false,$item = false) {
	$css='';
	 
	  
	$css.= reza_var_padding('--rd-el-pd',$option,'padding');
 		
	$css.= reza_var_padding('--rd-el-tab-pd',$option,'tablet_padding');
	$css.= reza_var_padding('--rd-el-mob-pd',$option,'mobile_padding');
 		
	 
 	return $css;
	
}

/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Box Css
 
*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Title Box css
 
*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	
function reza_title_box_css( $option,$items = false) {
   	$css=
		reza_var_2('--rd-tbox-main-bg',$option,'title_box_main_color','background'). 
		reza_var_2('--rd-tbox-main-txt',$option,'title_box_main_color','text').
		reza_var_font_typo('--rd-tbox-main',$option,'title_box_main_typo').   
		reza_var_2('--rd-tbox-tab-bg',$option,'title_box_tab_color','background').
		reza_var_2('--rd-tbox-tab-txt',$option,'title_box_tab_color','text').
		reza_var_font_typo('--rd-tbox-tab',$option,'title_box_tab_typo').   	
		reza_var_2('--rd-tbox-atv-bg',$option,'title_box_active_color','background').
		reza_var_2('--rd-tbox-atv-txt',$option,'title_box_active_color','text').
		reza_var('--rd-tbox-br-cr',$option,'title_box_border_color').  
		reza_var('--rd-tbox-rd',$option,'title_box_radius');
  	return $css;
} 
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Post Title css
 
*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	
function reza_post_css( $option,$item = false) {
  	 
 
 	$css=
		reza_var('--rd-post-bg',$option,'background_color').
		reza_var_2('--rd-post-tl-lk',$option,'title_color','link').
		reza_var_2('--rd-post-tl-hv-lk',$option,'title_color','hover').
		reza_var_font_typo('--rd-post-tl',$option,'post_title_typo').   			
		reza_var('--rd-expt-txt',$option,'excerpt_color'). 	
		reza_var_font_typo('--rd-expt',$option,'excerpt_typo').   	
		reza_var('--rd-meta-txt',$option,'meta_color').
		reza_var_font_typo('--rd-meta',$option,'meta_typo').   	
		reza_var('--rd-main-rd',$option,'radius'). 
		reza_var('--rd-main-br-cr',$option,'border_color').
		reza_var('--rd-post-sd',$option,'box_border_color').
		reza_var_dark('--rd-post-hv-sd',$option,'box_border_color');
		
	 
	 
 		
	return $css;
  		
}
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Post Title css
 
*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	
function reza_product_css( $option,$item = false) {
  	 
 
 	$css=
 		reza_var_2('--rd-price-ma',$option,'price_color','main').
 		reza_var_2('--rd-price-sa',$option,'price_color','sale').
 		reza_var_2('--rd-price-re',$option,'price_color','regular').
		reza_var_font_typo('--rd-price',$option,'price_typo').   			
   		reza_var_2('--rd-rat-rat-cr',$option,'rating_color','rating').
 		reza_var_2('--rd-rat-no-cr',$option,'rating_color','none');		
  	return $css;
  		
}
 
 
 
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	details mode 3 css
 
*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_caption_css( $option,$item = false) {
	$css='';
	if(!empty($option['caption_background_color'])){
		$css.=
			'--rd-cap-bg:'.$option['caption_background_color'].';';
		 
	}
	
	if(!empty($option['caption_color'])){
		$css.=
			'--rd-cap-txt:'.$option['caption_color'].';'.
			'--rd-cap-expt-txt:'.reza_hex2rgbacolor($option['caption_color'],0.8).';'.
			'--rd-cap-meta-txt:'.reza_hex2rgbacolor($option['caption_color'],0.6).';'.
			'--rd-cap-br-cr:'.reza_hex2rgbacolor($option['caption_color'],0.25).';';
	} 

 	return $css;

} 
 
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																Arrow Layout Css
 
*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
function reza_arrow_layout_css( $option=false) {
  	$arrow_location = !empty($option['arrow_layout']['location'])?  $option['arrow_layout']['location'] :'';
  	$arrow_size = !empty($option['arrow_layout']['size'])?  $option['arrow_layout']['size'] :'';
  	$arrow_layout = !empty($option['arrow_layout']['layout'])?  $option['arrow_layout']['layout'] :'';
	$css ='';
	if($arrow_size == 'small'){
		$size='30px';
		$css.='--rd-aw-sz:30px;';	
	}elseif($arrow_size == 'large'){
		$css.='--rd-aw-sz:60px;';
		$size='60px';
 	}else{
		$size='45px';
	}
	
 	if($arrow_location == 'slider-2'){
		$css.='--rd-aw-lc:20px;';	
	}elseif($arrow_location == 'slider-1'){
		$css.='--rd-aw-lc:0px;';
	}
	
	if($arrow_layout == 'fixed'){
		$css.='--rd-aw-ly:1;';	
	} 
	if(!empty($option['arrow_radius'])){
		$css.='--rd-aw-rd:'.$option['arrow_radius'].'px;';
 	}
	$css.=reza_var_2('--rd-aw-txt',$option,'arrow_color','text');
	$css.=reza_var_2('--rd-aw-bg',$option,'arrow_color','background');
 	 
	return $css;
   
}
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																Testimonial Css
 
*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_testimonial_css( $option,$item = false) {
	$css='';

	$css=
		reza_var('--rd-post-bg',$option,'background_color').
		reza_var('--rd-post-tl-lk',$option,'author_name_color').
 		reza_var_font_typo('--rd-post-tl',$option,'author_name_typo').   			
		reza_var('--rd-expt-txt',$option,'author_quote_color'). 	
		reza_var_font_typo('--rd-expt',$option,'author_quote_typo').   	
		reza_var('--rd-meta-txt',$option,'author_information_color').
		reza_var_font_typo('--rd-meta',$option,'author_information_typo').   	
		reza_var('--rd-main-rd',$option,'radius'). 
   		reza_var_2('--rd-rat-rat-cr',$option,'author_rating_color','rating').
 		reza_var_2('--rd-rat-no-cr',$option,'author_rating_color','none').				
		reza_var('--rd-post-img-rd',$option,'image_radius'). 
		reza_var('--rd-main-br-cr',$option,'border_color').
		reza_var('--rd-post-sd',$option,'box_border_color').
		reza_var_dark('--rd-post-hv-sd',$option,'box_border_color');
		
	return $css;
  
  		
}
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																Staff
 
*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_staff_css( $option,$item = false) {
	$css='';

 	$css=
		reza_var('--rd-post-bg',$option,'background_color').
		reza_var_2('--rd-post-tl-lk',$option,'title_color','link').
		reza_var_2('--rd-post-tl-hv-lk',$option,'title_color','hover').
		reza_var_font_typo('--rd-post-tl',$option,'title_typo').   			
		reza_var('--rd-expt-txt',$option,'excerpt_color'). 	
		reza_var_font_typo('--rd-expt',$option,'excerpt_typo').   	
		reza_var('--rd-meta-txt',$option,'staff_position_color').
		reza_var('--rd-icn-txt',$option,'icon_color').
 		reza_var_font_typo('--rd-meta',$option,'staff_position_typo').   	
		reza_var('--rd-main-rd',$option,'radius').
		reza_var('--rd-icn-txt',$option,'icon_color').
		reza_var('--rd-main-br-cr',$option,'border_color').
		reza_var('--rd-post-sd',$option,'box_border_color').
		reza_var_dark('--rd-post-hv-sd',$option,'box_border_color');
		$layout= !empty($option['layout'])?$option['layout']:'list';
  	$box_layout =!empty($option['box_layout'])? $option['box_layout']:reza_option('blog_box_layout');
	if($layout!=='grid' || $box_layout=='none'){
		$css.=reza_var('--rd-post-img-rd',$option,'image_radius');
	}
 	  
	return $css;
  
  		
}
 
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Pager css
 
*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_pager_css( $option,$item = false) {
	$css='';
 	$pager = reza_data($option,'pager');
 	if(!empty($pager)){
	 
 		$css.=reza_var_2('--rd-pg-txt',$option,'pager_style','pager');
		$css.=reza_var_2('--rd-pg-atv',$option,'pager_style','pager_actvie');
  			 
	}
 	return $css;
  		
}
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																Elementor Typo
 
*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 function reza_elmentor_typo_css( $option,$id) {
	$array=array();
	if(!empty($option[$id.'_font_size'])){
	$array['font_size']=$option[$id.'_font_size'];
  	}
	
	if(!empty($option[$id.'_font_weight'])){
	$array['font_weight']=$option[$id.'_font_weight'];
  	}
	
	if(!empty($option[$id.'_font_style'])){
	$array['font_style']=$option[$id.'_font_style'];
  	}	
 
 	if(!empty($option[$id.'_text_transform'])){
	$array['text_transform']=$option[$id.'_text_transform'];
  	}		 
 	return $array;
}
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																Elementor Padding
 
*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 function reza_elmentor_padding( $option,$default=false,$responsive=false) {
 	
	if(!empty($responsive)){
	$padding= !empty($option['elementor_padding_'.$responsive])?$option['elementor_padding_'.$responsive]:$default;
	}else{
	$padding= !empty($option['elementor_padding'])?$option['elementor_padding']:$default;
	}
	$ver='';
	$hor='';
	if($padding=='1px'){				$ver='1';		$hor='1';
 	}elseif($padding=='10px'){			$ver='10';		$hor='10';
	}elseif($padding=='10px 15px'){		$ver='10';		$hor='15';
	}elseif($padding=='10px 20px'){		$ver='15';		$hor='20';
	}elseif($padding=='15px'){			$ver='15';		$hor='15';
	}elseif($padding=='15px 10px'){		$ver='15';		$hor='10';
	}elseif($padding=='15px 20px'){		$ver='15';		$hor='20';
	}elseif($padding=='15px 30px'){		$ver='15';		$hor='30';
	}elseif($padding=='20px'){			$ver='20';		$hor='20';
 	}elseif($padding=='20px 10px'){		$ver='20';		$hor='10';
	}elseif($padding=='20px 15px'){		$ver='20';		$hor='15';
 	}elseif($padding=='20px 30px'){		$ver='20';		$hor='30';
	}elseif($padding=='20px 40px'){		$ver='20';		$hor='40';
	}elseif($padding=='30px'){			$ver='30';		$hor='30';
	}elseif($padding=='30px 10px'){		$ver='30';		$hor='15';
	}elseif($padding=='30px 15px'){		$ver='30';		$hor='20';
	}elseif($padding=='30px 20px'){		$ver='30';		$hor='20';
	}elseif($padding=='30px 40px'){		$ver='30';		$hor='40';
	}elseif($padding=='40px'){			$ver='40';		$hor='40';
	}elseif($padding=='40px 20px'){		$ver='40';		$hor='20';
	}elseif($padding=='50px'){			$ver='50';		$hor='50';
	}elseif($padding=='50px 25px'){		$ver='50';		$hor='25';
	}
	if(!empty($padding)){
   	return array('top'=>$ver,'bottom'=>$ver,'left'=>$hor,'right'=>$hor);
	}
}
 