<?php
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															Blog Layout
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////         
$this->start_controls_section(
	'layout_section',
	[
		'label' => __( 'Layout', 'reza' ),
	]
);

 

$this->add_control(
	'layout',
	[
		'label' 		=> __('Layout','reza'),
		'type' 			=> \Elementor\Controls_Manager::SELECT,
		'default' 		=> 'grid',
		"options"		=>  array(
		
				"list"			=> __('List','reza'),
				"grid"			=>  __('Grid','reza'), 
 				
		),
	]	 
);
	$column=__('Column','reza');
$this->add_control(
	'column',
	[
		'label' => __('Column Layout','reza'),
		'type' => \Elementor\Controls_Manager::SELECT,
		'default' => '3',
  		"options"		=> array(
		
 			"1"	=> "1 $column", 
 			"2"	=> "2 $column", 
 			"3"	=> "3 $column", 
 			"4"	=> "4 $column",  
 			"5"	=> "5 $column", 
 			"6"	=> "6 $column", 
			"7"	=> "7 $column", 
 			"8"	=> "8 $column", 
				
 			),
	]	 
);	  
  
$this->add_control(
	'responsive_column',
	[
		'label'			=> __('Column Width in Tablet and Mobile','reza'),
		'type'			=> \Elementor\Controls_Manager::SELECT,
  		"options"		=> array(
		
				''				=>	esc_html__('Default','reza'),
				"150"			=> '150px',
   				"200"			=> '200px',
   				"250"			=> '250px',
   				"300"			=> '300px',
   				"350"			=> '350px',
   				"400"			=> '400px',
				),
	]	 
);	  
  
$this->add_control(
	'between',
	[
		'label'			=> __('Space Between Item','reza'),
		'type'			=> \Elementor\Controls_Manager::SELECT,
 		'options'		=> reza_array_options('between',true),
	]
);	
	 

$this->add_control(
	'ratio',
	[
		'label'			=> __('Image Ratio','reza'),
		'type' 			=> \Elementor\Controls_Manager::SELECT,
		'options'		=> reza_array_options('ratio',true),
 	]
);	
	 	 
$this->add_control(
	'image_width',
	[
		'label'			=> __('Image Width','reza'),
		'type'			=> \Elementor\Controls_Manager::SELECT,
		'condition'		=> array('layout' => 'list'),
 		'options'		=> reza_array_options('image_width',true), 
	]		
					
);	
		 
$this->add_control(
	'image_size',
	[
		'label'			=> __('Image Size','reza'),
		'type' 			=> \Elementor\Controls_Manager::SELECT,
		"options" 		=>	reza_all_image_sizes(),
   	]
);	

$this->add_control(
	'second_image',
	[
		'label'			=> __('Second Image','reza'),
		'type'			=> \Elementor\Controls_Manager::SWITCHER ,
		"default"		=> 'yes' ,
	]
); 
 
		  
$this->add_control(
	'alignment',
	
	[
		'label'			=> __('Details Alignment','reza'),
  		'type' 			=> \Elementor\Controls_Manager::SELECT,
		'options'		=> reza_array_options('alignment_justify',true),			

  	]
);			
	 				  
  	  
$this->add_control(
	'box_layout',
	[
		'label'			=> __('Box Layout','reza'),
		'type' 			=> \Elementor\Controls_Manager::SELECT,
 		"options" 		=> reza_array_options('box_layout',true), 

		
	]
);	



$this->add_responsive_control(
	'elementor_padding',
	[
		'label' => __( 'Margin', 'reza' ),
		'type' => \Elementor\Controls_Manager::SELECT,
		'options' => reza_array_options('elementor_padding'),
		'default' =>  reza_elementor_default_padding(''),
 
	]
); 
							
	 	  
	 
 $this->end_controls_section(); 
 