<?php

/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																		 Logo Position
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_logo_position() {
	
	if (  reza_option('header_layout' ) == 'navplus-header-masthead' || reza_option('header_layout' )== 'header-masthead'|| reza_option('header_layout' )== 'masthead-header'  ){
  	
		return 'header';                 
 
 	}elseif (  reza_option('header_layout' ) == 'logo-navplus-masthead' || reza_option('header_layout' )== 'logo-masthead-navplus'   ){
 		
		return '';   
		              
  	}else{
		
		return 'masthead'; 
		                
 	}
	 
}
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																		Nav Logo 
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_nav_logo() {
 	?>

	<div class="rd-nav-logo   rd-nav-<?php echo reza_alignment(reza_option('logo_align'));?> rd-logo-type-<?php echo reza_option('logo_type');?> ">
		<h1 class="rd-logo-warp">
        
			<?php if ( reza_option('logo_type') == 'image' ) {?>
            
				<a  title="<?php echo esc_attr(bloginfo('name')); ?>" href="<?php echo esc_url(home_url( '/') ); ?>"><?php echo esc_html(bloginfo('name')); ?><?php echo esc_html(bloginfo('description')); ?>
					<img class="rd-logo-main" alt="<?php esc_url(bloginfo( 'name' )); ?>" src="<?php echo esc_url(reza_option('logo')); ?>" width="<?php echo reza_option('logo_width');?>"  />
					<?php if(reza_header_transparent() == 'enable' && reza_option('logo_transparent') ){?>
					<img class="rd-logo-transparent" alt="<?php esc_url(bloginfo( 'name' )); ?>" src="<?php echo esc_url(reza_option('logo_transparent')); ?>" width="<?php echo reza_option('logo_width');?>"  />
					<?php }?>
				</a>
                
			<?php } elseif( reza_option('logo_type') == 'title'){ ?>
            
					<a class="rd-logo-title" href="<?php echo esc_url(home_url( '/') ); ?>"><?php echo esc_html(bloginfo('name')); ?></a>
                    
			<?php } elseif( reza_option('logo_type') == 'description'){ ?>
            
					<a class="rd-logo-title" href="<?php echo esc_url(home_url( '/') ); ?>"><?php echo esc_html(bloginfo('name')); ?></a>
					<a class="rd-logo-description" href="<?php echo esc_url(home_url( '/') ); ?>"><?php echo esc_html(bloginfo('description')); ?></a>
                    
			<?php }?>
            
		</h1>
	</div>
<?php 
}
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																		 Logo Mobile
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_nav_mobile_logo() {
	$logo_align = reza_alignment(reza_option('logo_align'));
	if($logo_align=='center'){
		$logo_align =reza_is_right();	
	}
	?>
 
	<div class="rd-nav-logo rd-nav-<?php echo esc_attr($logo_align);?> rd-logo-type-<?php echo reza_option('logo_type');?> ">
		<h1 class="rd-logo-warp">
        
			<?php if ( reza_option('logo_type') == 'image' ) {?>
				
                <a  title="<?php echo esc_attr(bloginfo('name')); ?>" href="<?php echo esc_url(home_url( '/') ); ?>"><?php echo esc_html(bloginfo('name')); ?><?php echo esc_html(bloginfo('description')); ?>
					<img class="rd-logo-main" alt="<?php echo bloginfo( 'name' ); ?>" src="<?php echo esc_url(reza_option('logo')); ?>" width="<?php echo reza_option('logo_width');?>"  />
				</a>
                                    
			<?php } elseif( reza_option('logo_type') == 'title' || reza_option('logo_type') == 'description'){ ?>
			
            	<a class="rd-logo-title" href="<?php echo esc_url(home_url( '/') ); ?>"><?php echo esc_html(bloginfo('name')); ?></a>
			
			<?php } ?>
            
		</h1>
	</div>
<?php
}