<?php
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																Footer Content
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_footer_content() {
	  $column = reza_option('footer_column');
   	if($column == '1'){
		$class_footer= 'rd_col_1_1';
	}elseif($column == '2'){
		$class_footer= 'rd_col_1_2 rd_tab_1_2 rd_mob_1_1';
	}elseif($column == '3'){
		$class_footer= 'rd_col_1_3 rd_tab_1_1 rd_mob_1_1';
	}elseif($column == '4'){
 		$class_footer= 'rd_col_1_4 rd_tab_1_2 rd_mob_1_1';
	}elseif($column == '5'){
 		$class_footer= 'rd_col_1_5 rd_tab_1_2 rd_mob_1_1';
	}else{
		$class_footer= 'rd_col_1_6 rd_tab_1_2 rd_mob_1_1';
	};
	?>
	<?php  
	if( is_active_sidebar( 'sidebar_footer_1' ) ||
		is_active_sidebar( 'sidebar_footer_2' ) || 
		is_active_sidebar( 'sidebar_footer_3' ) || 
		is_active_sidebar( 'sidebar_footer_4' ) || 
		is_active_sidebar( 'sidebar_footer_5' ) || 
		is_active_sidebar( 'sidebar_footer_6' ) ){?>
 			
            <div class="rd-footer-content rd-flex <?php echo esc_attr($class_footer);?>" > 
        
			<section class="rd-column">
				<?php if(is_active_sidebar( 'sidebar_footer_1' ) ){ dynamic_sidebar('sidebar_footer_1') ; } ?>
			</section> 
            
            
 			<?php if($column=='2' || $column=='3' || $column=='4' ||$column=='5' ||$column=='6' ){ ?>
				<section class="rd-column">
					<?php if(is_active_sidebar( 'sidebar_footer_2' ) ){dynamic_sidebar('sidebar_footer_2');}?>
				</section> 
            <?php }?>
            
 			<?php if($column=='3' || $column=='4' ||$column=='5' ||$column=='6' ){ ?>
				<section class="rd-column">
					<?php if(is_active_sidebar( 'sidebar_footer_3' ) ){dynamic_sidebar('sidebar_footer_3');}?>
				</section> 
            <?php }?>

 			<?php if($column=='4' ||$column=='5' ||$column=='6' ){ ?>
                <section class="rd-column">
                   <?php if(is_active_sidebar( 'sidebar_footer_4' ) ){dynamic_sidebar('sidebar_footer_4');}?>
                 </section> 
            <?php }?>


 			<?php if( $column=='5' || $column=='6' ){ ?>
                <section class="rd-column">
                   <?php if(is_active_sidebar( 'sidebar_footer_5' ) ){dynamic_sidebar('sidebar_footer_5');}?>
                </section> 
            <?php }?>
            
			<?php if( $column=='6'  ){ ?>
                <section class="rd-column">
                   <?php if(is_active_sidebar( 'sidebar_footer_6' ) ){dynamic_sidebar('sidebar_footer_6');}?>
                 </section> 
            <?php }?>
 	</div> 
	<?php 
	}
}
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																Footer Bottom
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_footer_bottom() {

	if(reza_option('footer_bottom_code',true)|| reza_option('footer_social') == 'show' ) {
		$footer_center='';
			
		if(reza_option('footer_bottom_code',true) && reza_option('footer_social') == 'show' ){
			$footer_center="rd-footer-not-center";
		}
		?>
            
		<div class="rd-footer-bottom <?php echo wp_kses_post($footer_center);?>">
			<div class="rd-middle-footer">
				<?php reza_footer_code();?>
				<?php reza_footer_social();?>
			</div>
		</div>
            
		<?php 
	} 
		
}
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																Footer Code
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_footer_code() {
	if(reza_option('footer_bottom_code',true)){
		?>
 		<div class="rd-footer-code"><?php echo wp_kses_post(reza_option('footer_bottom_code',true));?></div>
 		<?php 
	}
}
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																Footer Social
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_footer_social() {
  	if(reza_option('footer_social') == 'show' ){
   	global $smof_data;
	?>
 		<div class="rd-footer-social rd-social-icon-<?php echo reza_option('footer_icon_style');?>">
			<?php reza_social_content(reza_option('footer_icon_style'),$smof_data,'social_');?>
		</div>
   	<?php
	}
}

  

/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																Page Builder Footer
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_page_footer($out =false) {
	$page_footer = reza_option('page_footer' );
							$output='';

	if(!empty($page_footer)){
	if($page_footer !='hide'){
		$post_name = get_page_by_path($page_footer);
		if(!empty($post_name->ID)){
			   
			   
			   
			 if(function_exists( "sao_builder_meta") && !empty(get_post_meta($post_name->ID,'sao_show_page_builder',false))){
  				$section = sao_section_config($post_name->ID) ;
						$output='';
 					if(!empty($section['output'])){
						$output.= '<div class="rd-footer-page-builder">'.$section['output'].'</div>';
						ob_start(); 
						sao_enqueue();
 						$output.=ob_get_clean();
					}
 					if(!empty($section['css'])){
						$output.='<style>'.$section['css'].'</style>';
					}
					return $output;
				 
				 
	 
			}else{
				return '<div class="rd-footer-page-builder">'.do_shortcode('[elementor-template id="'.$post_name->ID.'"]').'</div>';
			}
		   }else{
			 return '';
		   }
	} 
	}
}

/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																Before Page Builder Footer
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_page_top_footer($out =false) {
	$page_footer = reza_option('page_top_footer' );
	$output='';

	if(!empty($page_footer)){
	if($page_footer !='hide'){
		$post_name = get_page_by_path($page_footer);
		if(!empty($post_name->ID)){
			   
			   
			   
			 if(function_exists( "sao_builder_meta") && !empty(get_post_meta($post_name->ID,'sao_show_page_builder',false))){
  				$section = sao_section_config($post_name->ID) ;
						$output='';
 					if(!empty($section['output'])){
						$output.= '<div class="rd-page-top-builder">'.$section['output'].'</div>';
						ob_start(); 
						sao_enqueue();
 						$output.=ob_get_clean();
					}
 					if(!empty($section['css'])){
						$output.='<style>'.$section['css'].'</style>';
					}
					return $output;
				 
				 
	 
			}else{
				return '<div class="rd-page-top-builder">'.do_shortcode('[elementor-template id="'.$post_name->ID.'"]').'</div>';
			}
		   }else{
			 return '';
		   }
	} 
	}
}