<?php
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															Post Class
																	 	
*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
 function reza_post_class($option){
	$layout =!empty($option['layout'])?$option['layout']:'list';

 	if($layout=='list'){
		$data_class = reza_post_list_class($option);
 		
	}elseif($layout=='grid'){
		$data_class = reza_post_grid_class($option);
 		
	}else{
		$data_class = reza_post_featured_class($option);
 	}
	return $data_class;
 }
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															Post Responsvie Class
																	 	
*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
 function reza_responsive_column($option=false,$default =false){
	$class='';
	$responsive_column =!empty($option['responsive_column'])? $option['responsive_column']:$default;
		
	if($responsive_column=='tab_2_mob_1'){
		$class.= 'rd_tab_1_2';
 		
	}elseif($responsive_column=='tab_3_mob_1'){
		$class.= 'rd_tab_1_3 ';
 		
	}elseif($responsive_column=='tab_4_mob_1'){
		$class.= 'rd_tab_1_4';
 			
		
	}elseif($responsive_column=='tab_2_mob_2'){
		$class.= 'rd_tab_1_2 rd_mob_1_2';
 			
	}elseif($responsive_column=='tab_3_mob_2'){
		$class.= 'rd_tab_1_3 rd_mob_1_2';
 			
	}elseif($responsive_column=='tab_4_mob_2'){
		$class.= 'rd_tab_1_4 rd_mob_1_2';
 		
	}elseif($responsive_column=='first_tab_2_mob_1'){
		$class.= 'rd_first_full rd_tab_1_2 ';
 
	}elseif($responsive_column=='first_tab_3_mob_1'){
		$class.= 'rd_first_full rd_tab_1_3 ';
 
	}elseif($responsive_column=='first_tab_4_mob_1'){
		$class.= 'rd_first_full rd_tab_1_3 ';
	
	} elseif($responsive_column=='first_tab_2_mob_2'){
		$class.= 'rd_first_full rd_tab_1_2 rd_mob_1_2';
 
	}elseif($responsive_column=='first_tab_3_mob_2'){
		$class.= 'rd_first_full rd_tab_1_3 rd_mob_1_2';
 
	}elseif($responsive_column=='first_tab_4_mob_2'){
		$class.= 'rd_first_full rd_tab_1_3 rd_mob_1_2';
	} 
	return $class;
 }

/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																Post List Class
 
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_post_list_class($option=false){

	$list_layout =$option['list_layout']? $option['list_layout']:'list_1';
 	$class=' ';
 	if($list_layout=='list_2'){
		$class.= 'rd_col_1_2 '.reza_responsive_column($option,'tab_2_mob_1');
 			
	}elseif($list_layout=='list_3'){
		$class.= 'rd_col_1_3 '.reza_responsive_column($option,'tab_3_mob_1');
 			
	}elseif($list_layout=='list_4'){
 		$class.= 'rd_col_1_4 '.reza_responsive_column($option,'tab_2_mob_1');
 	
	} elseif($list_layout=='list_5'){
 		$class.= 'rd_col_1_2 rd_list_5 '.reza_responsive_column($option,'tab_2_mob_1');
 	
	} elseif($list_layout=='list_6'){
		$class.= 'rd_col_1_3 rd_list_6 '.reza_responsive_column($option,'tab_3_mob_1');
	 
	}elseif($list_layout=='list_5c'){
 		$class.= 'rd_col_1_5 '.reza_responsive_column($option,'tab_2_mob_1');
 	
	} elseif($list_layout=='list_6c'){
 		$class.= 'rd_col_1_6 '.reza_responsive_column($option,'tab_2_mob_1');
 	
	}else{
		$class.= ''.reza_responsive_column($option,'tab_1_mob_1');
 			
	}
	 
	return $class;
	
}/*
******************************************************************************************************************************************************
 
																	  Post Grid Class
 
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_post_grid_class($option=false){
	$grid_layout = !empty($option['grid_layout'])?  $option['grid_layout'] :'grid_1';
 	$class=' ';
 	if($grid_layout=='grid_1'){
		$class.= ''.reza_responsive_column($option,'tab_1_mob_1').'';
 				
	}elseif($grid_layout=='grid_2'){
		$class.= 'rd_col_1_2 '.reza_responsive_column($option,'tab_2_mob_2').'';
 				
	}elseif($grid_layout=='grid_3'){
		$class.= 'rd_col_1_3 '.reza_responsive_column($option,'tab_3_mob_1').'';
 				
	}elseif($grid_layout=='grid_4'){
		$class.='rd_col_1_4 '.reza_responsive_column($option,'tab_2_mob_2').'';
 				
	}elseif($grid_layout=='grid_5'){
		$class.= 'rd_col_1_5 '.reza_responsive_column($option,'tab_3_mob_2').'';
 				
	}elseif($grid_layout=='grid_6'){
		$class.='rd_col_1_6 '.reza_responsive_column($option,'tab_3_mob_2').'';
 			
	}elseif($grid_layout=='grid_7'){
		$class.= 'rd_col_1_7 '.reza_responsive_column($option,'tab_3_mob_2').'';
 				
	}elseif($grid_layout=='grid_8'){
		$class.='rd_col_1_8 '.reza_responsive_column($option,'tab_4_mob_2').'';
 				
	}elseif($grid_layout=='grid_9'){
		$class.='rd_col_1_3 rd_grid_9 '.reza_responsive_column($option,'first_tab_2_mob_2').'';
 				
	}elseif($grid_layout=='grid_10'){
		$class.='rd_col_1_4 rd_grid_10 '.reza_responsive_column($option,'first_tab_2_mob_2').'';
 				
	}elseif($grid_layout=='grid_11'){
		$class.='rd_col_1_5 rd_grid_11 '.reza_responsive_column($option,'first_tab_3_mob_2').'';
 		
	}elseif($grid_layout=='grid_12'){
		$class.='rd_col_1_6 rd_grid_12 '.reza_responsive_column($option,'first_tab_4_mob_2').'';
			
	}elseif($grid_layout=='grid_13'){
		$class.='rd_col_1_4 rd_grid_13 '.reza_responsive_column($option,'first_tab_2_mob_2').'';
 		
	}elseif($grid_layout=='grid_14'){
		$class.='rd_col_1_3 rd_grid_14 '.reza_responsive_column($option,'first_tab_2_mob_2').'';
			
	}elseif($grid_layout=='grid_15'){
		$class.='rd_col_1_4 rd_grid_15 '.reza_responsive_column($option,'first_tab_3_mob_2').'';
	}					
		 
	
	return $class;
	
}
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Post Featured Class
 
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_post_featured_class($option,$return=false){
   	$featured_layout =!empty($option['featured_layout'])? $option['featured_layout']:'featured_1';
 	$class=' ';
	//*********************************Desktop***********************/
	if($featured_layout=='featured_1'){
		$class.= 'rd_col_1_1 '.reza_responsive_column($option,'tab_1_mob_1').' ';
 				
	}elseif($featured_layout=='featured_2'){
		$class.= 'rd_col_1_2 '.reza_responsive_column($option,'tab_2_mob_2').' ';
 				
	}elseif($featured_layout=='featured_3'){
		$class.= 'rd_col_1_3 '.reza_responsive_column($option,'tab_3_mob_1').' ';
 			
	}elseif($featured_layout=='featured_4'){
		$class.='rd_col_1_4 '.reza_responsive_column($option,'tab_2_mob_2').' ';
 				
	}elseif($featured_layout=='featured_5'){
		$class.= 'rd_col_1_5 '.reza_responsive_column($option,'tab_3_mob_2').' ';
 			
	}elseif($featured_layout=='featured_6'){
		$class.='rd_col_1_6 '.reza_responsive_column($option,'tab_3_mob_2').' ';
 			
	}elseif($featured_layout=='featured_7'){
		$class.= 'rd_col_1_7 '.reza_responsive_column($option,'tab_3_mob_2').' ';
 			
	}elseif($featured_layout=='featured_8'){
		$class.='rd_col_1_8 '.reza_responsive_column($option,'tab_4_mob_2').' ';
 				
	}elseif($featured_layout=='featured_9'){
		$class.='rd_col_1_3 rd_featured_9 '.reza_responsive_column($option,'first_tab_2_mob_2').' ';
 			
	} elseif($featured_layout=='featured_10'){
		$class.='rd_col_1_4 rd_featured_10 '.reza_responsive_column($option,'first_tab_2_mob_2').' ';
 			
	} elseif($featured_layout=='featured_11'){
		$class.='rd_col_1_5  rd_featured_11 '.reza_responsive_column($option,'first_tab_3_mob_2').' ';
 				
	}elseif($featured_layout=='featured_12'){
		$class.='rd_col_1_6  rd_featured_12 '.reza_responsive_column($option,'first_tab_4_mob_2').' ';
 			
	} elseif($featured_layout=='featured_13'){
		$class.='rd_col_1_4  rd_featured_13 '.reza_responsive_column($option,'first_tab_2_mob_2').' ';
 			
	}elseif($featured_layout=='featured_14'){
		$class.='rd_col_1_2 rd_featured_14 '.reza_responsive_column($option,'first_tab_2_mob_2').' ';
 			
	}elseif($featured_layout=='featured_15'){
		$class.='rd_col_1_3 rd_featured_15 '.reza_responsive_column($option,'first_tab_3_mob_1').' ';
 		
	}elseif($featured_layout=='featured_16'){
		$class.='rd_col_1_4 rd_featured_16 '.reza_responsive_column($option,'first_tab_2_mob_2').' ';
 				
	}elseif($featured_layout=='featured_17'){
		$class.='rd_col_1_5 rd_featured_17 '.reza_responsive_column($option,'first_tab_3_mob_2').' ';
 			
	}elseif($featured_layout=='featured_18'){
		$class.='rd_col_1_3 rd_featured_18 '.reza_responsive_column($option,'first_tab_2_mob_2').' ';
 			
	}elseif($featured_layout=='featured_19'){
		$class.='rd_col_1_4 rd_featured_19 '.reza_responsive_column($option,'first_tab_2_mob_2').' ';
 			
	}elseif($featured_layout=='featured_20'){
		$class.='rd_col_1_5 rd_featured_20 '.reza_responsive_column($option,'first_tab_3_mob_2').' ';
	
	}elseif($featured_layout=='featured_21'){
		$class.='rd_col_1_4  rd_featured_21 '.reza_responsive_column($option,'first_tab_3_mob_2').' ';
 			
	}elseif($featured_layout=='featured_22'){
		$class.='rd_col_1_5  rd_featured_22 '.reza_responsive_column($option,'first_tab_3_mob_2').' ';
 			
	}elseif($featured_layout=='featured_23'){
		$class.='rd_col_1_4 rd_featured_23 '.reza_responsive_column($option,'first_tab_3_mob_1').' ';
 			
	}elseif($featured_layout=='featured_24'){
		$class.='rd_col_1_4 rd_featured_24 '.reza_responsive_column($option,'first_tab_3_mob_1').' ';
 			
	}elseif($featured_layout=='featured_25'){
		$class.='rd_col_1_4 rd_featured_25 '.reza_responsive_column($option,'first_tab_3_mob_1').' ';
 			
	}elseif($featured_layout=='featured_26'){
		$class.='rd_col_1_4 rd_featured_26 '.reza_responsive_column($option,'first_tab_3_mob_2').' ';
 			
	}elseif($featured_layout=='featured_27'){
		$class.='rd_col_1_3 rd_featured_27 '.reza_responsive_column($option,'first_tab_3_mob_2').' ';
 			
	}elseif($featured_layout=='featured_28'){
		$class.='rd_col_1_4 rd_featured_28 '.reza_responsive_column($option,'tab_4_mob_2').' ';
 			
	}elseif($featured_layout=='featured_29'){
		$class.='rd_col_1_2 rd_featured_29 '.reza_responsive_column($option,'first_tab_2_mob_2').' ';
 				
	}elseif($featured_layout=='featured_30'){
		$class.='rd_col_1_3 rd_featured_30 '.reza_responsive_column($option,'first_tab_2_mob_2').' ';
 				
	}elseif($featured_layout=='featured_31'){
		$class.='rd_col_1_4 rd_featured_31 '.reza_responsive_column($option,'tab_3_mob_2').' ';
 				
	}elseif($featured_layout=='featured_32'){
		$class.='rd_col_1_2 rd_featured_32 '.reza_responsive_column($option,'tab_3_mob_1').' ';
 				
	}
 	return $class;
	
} 