<?php
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																Post List
 
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_post_list($option=false){
	$list_layout = reza_data($option,'list_layout','list_1');
	
 	//*********************************Desktop***********************/
	if(empty(reza_ismobile())){ 
		if(	$list_layout=='list_1' || 
			$list_layout=='list_2' ||
			$list_layout=='list_3' ||
			$list_layout=='list_4' ){
			reza_post_list_main($option);
		}elseif($list_layout=='list_5' || $list_layout=='list_6' ){
			reza_post_list_5($option);
			 
			
		}
	}
 	//*********************************Mobile***********************/
 	if(!empty(reza_ismobile())){ 
 		$default='';
		 if(
			$list_layout=='list_5' ||
			$list_layout=='list_6'  
		){ 
			$default='first_tab_2_mob_2';
		} 
		$responsive_column =!empty($option['responsive_column'])? $option['responsive_column']:$default;
  		if(	$responsive_column=='first_tab_2_mob_1'||
			$responsive_column=='first_tab_3_mob_1'||
			$responsive_column=='first_tab_4_mob_1'||
			$responsive_column=='first_tab_2_mob_2'||
			$responsive_column=='first_tab_3_mob_2'||
			$responsive_column=='first_tab_4_mob_2' 
		){
			reza_post_list_first($option);
 		
		}else{
 			reza_post_list_main($option);
 		} 		 
	}


}
add_action('wp_ajax_nopriv_reza_post_list', 'reza_post_list');
add_action('wp_ajax_reza_post_list', 'reza_post_list');


/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																Post List 1
 
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_post_list_main($option =false) {
  	$query = reza_query($option);
	if( $query->have_posts() ) : 
	while ( $query->have_posts() ) : $query->the_post(); 
 		  reza_module_1($option);
  	endwhile; 
	endif; 
} 
add_action('wp_ajax_nopriv_reza_post_list_main', 'reza_post_list_main');
add_action('wp_ajax_reza_post_list_main', 'reza_post_list_main'); 
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																Post List 5
 
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_post_list_5($option) { 

 	$count = reza_data($option,'ajaxcount')?10:0; 
  	$query = reza_query($option);
	if( $query->have_posts() ) : 
	while ( $query->have_posts() ) : $query->the_post(); 
		$count++;
		if($count==1){
			 reza_module_1($option,'rd-aw');
  		}else{
 			reza_module_1($option,'rd-second',true,true,true);
 			
		}
	endwhile; 
	endif; 
}
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																Post List First
 
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_post_list_first($option =false) {
	
 	$count = reza_data($option,'ajaxcount')?10:0; 
	
  	$query = reza_query($option);
 	if( $query->have_posts() ) : 
	while ( $query->have_posts() ) : $query->the_post(); 
		$count++;
 		if($count==1){
			reza_module_1($option,'rd-aw');
  		}else{
 			reza_module_1($option);
 			
		}
  	endwhile; 
	endif; 
} 
