<?php
 include_once REZA_PATH . '/inc/staff/staff-module-1.php';  
 include_once REZA_PATH . '/inc/staff/staff-module-2.php';  
 include_once REZA_PATH . '/inc/staff/staff-module-3.php';  
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
																		
																		Staff Thumb
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_staff_thumb( $option,$figcaption=false) { 
 	
	if(has_post_thumbnail()){
		global $post;
		$thumb =  reza_data($option,'image_size','full');   
		$hover_post_icon =  reza_data($option,'blog_hover_post_icon'); 
		
		$style='';
		 
		
		
		$thumbnail= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), $thumb );

		$staff_external = reza_meta('staff_external', get_permalink());
		if(!empty($thumbnail[0])){
 	?>
		<div class="rd-thumb"> 
        
			<a <?php if(!empty($staff_external)){?>href="<?php echo esc_url($staff_external) ?>"  <?php } ?>  >
            
 				<?php the_post_thumbnail($thumb,array('alt'=>esc_attr(get_the_title())));?>
                
 				<?php if(reza_data($option,'ratio','rd-ratio100')!=='rd-ratio-auto'){?>
                
					<figure style="background-image:url('<?php echo get_the_post_thumbnail_url($post->ID, $thumb);?>');"></figure>
                    
				<?php }?>
                
			</a>
            
             <?php if($hover_post_icon =='show' && !empty($figcaption)){ ?>
 
                <figcaption>
                <?php reza_post_hover_link($staff_external);?>
                </figcaption> 

			<?php }?>
             
             
		</div>
	<?php
	}
	}
} 
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
																		
																		Staff Post Title
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_staff_post_title($option= false,$font=false) {
	 	$limit = reza_data($option,'title_limit');    
		global $post;
	$staff_external = reza_meta('staff_external');

		$the_title = strip_tags(get_the_title());
		if ( !empty($limit) && strlen($the_title) > $limit){
			 $content= mb_substr($the_title, 0,$limit).'...';
			 
		} else {
			$content= $the_title;
			$dots='';
		}
  		
 		if(!empty($staff_external)){
 			$the_permalink =$staff_external;
		}else{
			$the_permalink = get_permalink();
		}
 	?>
    
 	<h3 class="rd-title"><a href="<?php echo esc_url($the_permalink); ?>"><?php echo esc_html($content);?></a></h3>
 	 	
	<?php 
}  
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
																		
																		Staff Position
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_staff_position($option= false ) {
	global $post;
	$reza_meta = get_post_meta( $post->ID );
	$content = reza_meta('staff_position' ); 
   
  	?>
    
 	<div class="rd-meta"><?php echo esc_html($content);?></div>
 	 	
	<?php 
}
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************
																		
																		Staff Description
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_staff_description($option= false ) {
	global $post; 

	$staff_description = reza_meta('staff_description'); 
 	$limit = reza_data($option,'excerpt_limit');    
   
	$the_excerpt = strip_tags($staff_description );
  	if ( !empty($limit) && strlen($the_excerpt) > $limit){
 		 $content= mb_substr($the_excerpt, 0,$limit).'...';
		 
	}else{
		$content= $the_excerpt;
 	}
	
	
 	if(!empty($content)){
 
	
	
 	?>
 	<div class="rd-excerpt"><?php echo esc_html($content);?></div>	
	<?php 
	}
}
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************
																		
																		Staff Socail
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_staff_social($option =false) {
	global $post;
 	
	$social_array=array(
		'staff_facebook'	=>	 reza_meta('staff_facebook'),
		'staff_twitter'		=>	 reza_meta('staff_twitter'),
		'staff_googleplus'	=>	 reza_meta('staff_facebook'),
		'staff_linkedin'		=>	 reza_meta('staff_linkedin'),
		'staff_flickr'		=>	 reza_meta('staff_flickr'),
		'staff_skype'		=>	 reza_meta('staff_skype'),
		'staff_tumblr'		=>	 reza_meta('staff_tumblr'),
		'staff_vimeo'		=>	 reza_meta('staff_vimeo'),
		'staff_youtube'		=>	 reza_meta('staff_youtube'),
		'staff_instagram'	=>	 reza_meta('staff_instagram'),
 		'staff_telegram'	=>	 reza_meta('staff_telegram'),
		'staff_pinterest'	=>	 reza_meta('staff_pinterest'),
		'staff_whatsapp'	=>	 reza_meta('staff_whatsapp'),
 	);	
	foreach ($social_array as $key => $value){
		if(!empty($value)){
		$social[esc_html($key)]=$value;
		}
	}
 	
 	$style = reza_data($option,'icon_style','style-1');
    if(!empty($social)){
	?>
    <aside class="rd-el-social rd-staff-social">
     <div class="rd-social-icon-<?php echo esc_attr($style);?>">
		<?php reza_social_content($style,$social,'staff_');?>
	</div>
    </aside>
     
    
	<?php 
	}
}