<?php
include_once REZA_PATH . '/inc/testimonial/testimonial-module-1.php';  
include_once REZA_PATH . '/inc/testimonial/testimonial-module-2.php';  
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************
																		
																		Box Layout Testimonial
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 function reza_box_layout_testimonial(){ 
 	 
 	$box_layout = reza_option('blog_box_layout');
  	if($box_layout !== 'none' && $box_layout !== ''){
   		return  'boxed-item' ;
	} else{
   		return  'none' ;
	}
}
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************
																		
																	 	Testimonial
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	 
function reza_testimonial_thumb($option=false) { 
	if(has_post_thumbnail()){
 		global $post;
		
		$thumb =  reza_data($option,'image_size','full');  
		 
		 
		$style='';
		
		$thumbnail= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), $thumb );
		$the_permalink = get_permalink();
		if(!empty($thumbnail[0])){
 	?>
		<div class="rd-thumb"   > 
			<a <?php if(!empty($the_permalink)){?>href="<?php echo esc_url($the_permalink) ?>"  <?php } ?>  >
            
				<?php the_post_thumbnail($thumb,array('alt'=>esc_attr(get_the_title())));?>
                
				<figure style="background-image:url('<?php echo get_the_post_thumbnail_url($post->ID, $thumb);?>');"></figure>
                
			 </a>
               
		</div>
	<?php
	}
	}
 } 
  /*****************************************************************************************************************************************************
******************************************************************************************************************************************************
																		
																	Testimonial Author Name
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 function reza_testimonial_author_name($option= false) {
	$content = reza_meta('testimonials_author_name');
  	?><h3 class="rd-title"><?php echo esc_html($content);?></h3><?php 
}
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************
																		
																	Testimonial Author information
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 function reza_testimonial_author_information($option= false ) {
  	$content = reza_meta('testimonials_author_information');
   	?><div class="rd-meta"><?php echo esc_html($content);?></div><?php 
	
}
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************
																		
																	Testimonial Author Quote
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_testimonial_author_quote($option= false,$layout= 'top') {
	global $post;
	$reza_meta = get_post_meta( $post->ID );
  	$author_quote = reza_meta('testimonials_author_quote');
 	$limit = reza_data($option,'author_quote_limit');    
   
	$the_excerpt = strip_tags($author_quote );
  	if ( !empty($limit) && strlen($the_excerpt) > $limit){
 		 $content= mb_substr($the_excerpt, 0,$limit).'...';
		 
	}else{
		$content= $the_excerpt;
 	}
	
 	if(!empty($content)){
 	
	
 	?><div class="rd-excerpt"><?php echo esc_html($content);?></div><?php 
	}
}
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************
																		
																	Testimonial Rating
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 function reza_testimonial_rating() {
  
	global $post;	$reza_meta = get_post_meta( $post->ID );
  	$author_rating = reza_meta('testimonials_author_rating');
  
 	if(!empty($author_rating)){
 	?>
	<div class="rd-tm-rating" style=" --rd-rating:<?php echo esc_attr(intval($author_rating)) ;?>;">
		<div class="rd-tm-star">
 		</div>
  	</div>
	 <?php
	}
} 

