<?php
if(is_admin()){
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															Blog
																		
*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
add_filter('sao_element_item', 'sao_element_item_blog');
function sao_element_item_blog( $element ) {
 	
 	$element[]=  array(
 		'name'			=> 	esc_html__('Blog','reza'),
 		'id'			=> 'blog',
		'group'			=> esc_html__('magical','reza'),
		'img'			=>  REZA_DIR.'/admin/assets/images/element-blog.jpg',
  	); 
	
	return $element;
} 
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															Blog Options
																		
*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
add_filter('sao_element_options_blog', 'reza_blog_options');
function reza_blog_options( $option) {
 
	$element='blog';
	
	
	$option[]= array( 
 		"group"			=>  esc_html__('General','reza'),		  
	);	
	$option[]= array( 
 		"group"			=>  esc_html__('Layout','reza'),		  
	);	
	 $option[]= array( 
 		"group"			=>  esc_html__('Title Box','reza'),		  
	);	
 
	$option[]= array( 
 		"group"			=>  esc_html__('Post Style','reza'),		  
	);		
 
	$option[]= array( 
 		"group"			=>  esc_html__('Typography','reza'),		  
	);		
	$option[]= array( 
 		"group"			=>  esc_html__('Attribute','reza'),		  
	);							
	
      	
   	include REZA_PATH . '/sao-builder/blog/sao-blog-general.php'; 

	$option[]= array( 
		"name"			=> esc_html__('More Posts','reza'),
 		"id"			=> "more_posts",
		"type"			=> "select",
 		"options"		=>   array( 
			""			=> 	__('None','reza'),
			"load_more"		=> 	__('Load More','reza'),
			"pagenavi"		=>  esc_html__('Page Number','reza'),
  			 
		),										
		
 	);    
	$option[]= array( 
		"name"			=> esc_html__('Layout','reza'),
 		"id"			=> "layout",
 		"group"			=>  esc_html__('Layout','reza'),
  		"default"		=> 'list',
		"type"			=> "radio_image",
   		"options"		=>  array( 
  			"list"		=> REZA_DIR.'/admin/assets/images/list/list_1.jpg',
 			"grid"		=> REZA_DIR.'/admin/assets/images/grid/grid_1.jpg',
 			"featured"	=> REZA_DIR.'/admin/assets/images/featured/featured_1.jpg',
  		  
 		),						
				  
	); 
	
 	
	$option[]= array( 
		"name"			=> esc_html__('List Layout','reza'),
 		"id"			=> "list_layout",
 		"group"			=>  esc_html__('Layout','reza'),
  		"default"		=> 'list_1',
 		"fold"			=>	array( 	
  			"list"				=> "layout",
   		), 
		"type"			=> "radio_image",
   		"options"		=>  array( 
 			"list_1"	=> REZA_DIR.'/admin/assets/images/list/list_1.jpg',
 			"list_2"	=> REZA_DIR.'/admin/assets/images/list/list_2.jpg',
 			"list_3"	=> REZA_DIR.'/admin/assets/images/list/list_3.jpg',
 			"list_4"	=> REZA_DIR.'/admin/assets/images/list/list_4.jpg',
 			"list_5"	=> REZA_DIR.'/admin/assets/images/list/list_5.jpg',
 			"list_6"	=> REZA_DIR.'/admin/assets/images/list/list_6.jpg',
 		  
 		),						
				  
	); 
	

	$option[]= array( 
		"name"			=> esc_html__('Grid Layout','reza'),
 		"id"			=> "grid_layout",
 		"group"			=>  esc_html__('Layout','reza'),
  		"default"		=> 'grid_3',
 		"fold"			=>	array( 	
  			"grid"				=> "layout",
   		), 
		"type"			=> "radio_image",
   		"options"		=>  array( 
 			"grid_1"	=> REZA_DIR.'/admin/assets/images/grid/grid_1.jpg',
 			"grid_2"	=> REZA_DIR.'/admin/assets/images/grid/grid_2.jpg',
 			"grid_3"	=> REZA_DIR.'/admin/assets/images/grid/grid_3.jpg',
 			"grid_4"	=> REZA_DIR.'/admin/assets/images/grid/grid_4.jpg',
 			"grid_5"	=> REZA_DIR.'/admin/assets/images/grid/grid_5.jpg',
 			"grid_6"	=> REZA_DIR.'/admin/assets/images/grid/grid_6.jpg',
 			"grid_7"	=> REZA_DIR.'/admin/assets/images/grid/grid_7.jpg',
 			"grid_8"	=> REZA_DIR.'/admin/assets/images/grid/grid_8.jpg', 
 			"grid_8"	=> REZA_DIR.'/admin/assets/images/grid/grid_8.jpg',
 			"grid_9"	=> REZA_DIR.'/admin/assets/images/grid/grid_9.jpg',
 			"grid_10"	=> REZA_DIR.'/admin/assets/images/grid/grid_10.jpg',
 			"grid_11"	=> REZA_DIR.'/admin/assets/images/grid/grid_11.jpg',
 			"grid_12"	=> REZA_DIR.'/admin/assets/images/grid/grid_12.jpg',
 			"grid_13"	=> REZA_DIR.'/admin/assets/images/grid/grid_13.jpg',
 			"grid_14"	=> REZA_DIR.'/admin/assets/images/grid/grid_14.jpg',
 			"grid_15"	=> REZA_DIR.'/admin/assets/images/grid/grid_15.jpg',
 		),						
				  
	); 
	
 
	

	$option[]= array( 
		"name"			=> esc_html__('Glider Layout','reza'),
 		"id"			=> "featured_layout",
 		"group"			=>  esc_html__('Layout','reza'),
  		"default"		=> 'featured_4',
 		"fold"			=>	array( 	
  			"featured"				=> "layout",
   		), 		
		"type"			=> "radio_image",
   		"options"		=>  array( 
 			"featured_1"	=> REZA_DIR.'/admin/assets/images/featured/featured_1.jpg',
 			"featured_2"	=> REZA_DIR.'/admin/assets/images/featured/featured_2.jpg',
 			"featured_3"	=> REZA_DIR.'/admin/assets/images/featured/featured_3.jpg',
 			"featured_4"	=> REZA_DIR.'/admin/assets/images/featured/featured_4.jpg',
 			"featured_5"	=> REZA_DIR.'/admin/assets/images/featured/featured_5.jpg',
 			"featured_6"	=> REZA_DIR.'/admin/assets/images/featured/featured_6.jpg',
 			"featured_7"	=> REZA_DIR.'/admin/assets/images/featured/featured_7.jpg',
 			"featured_8"	=> REZA_DIR.'/admin/assets/images/featured/featured_8.jpg',
 			"featured_9"	=> REZA_DIR.'/admin/assets/images/featured/featured_9.jpg',
 			"featured_10"	=> REZA_DIR.'/admin/assets/images/featured/featured_10.jpg',
 			"featured_11"	=> REZA_DIR.'/admin/assets/images/featured/featured_11.jpg',
 			"featured_12"	=> REZA_DIR.'/admin/assets/images/featured/featured_12.jpg',
 			"featured_13"	=> REZA_DIR.'/admin/assets/images/featured/featured_13.jpg',
 			"featured_14"	=> REZA_DIR.'/admin/assets/images/featured/featured_14.jpg',
 			"featured_15"	=> REZA_DIR.'/admin/assets/images/featured/featured_15.jpg',
 			"featured_16"	=> REZA_DIR.'/admin/assets/images/featured/featured_16.jpg',
 			"featured_17"	=> REZA_DIR.'/admin/assets/images/featured/featured_17.jpg',
 			"featured_18"	=> REZA_DIR.'/admin/assets/images/featured/featured_18.jpg',
 			"featured_19"	=> REZA_DIR.'/admin/assets/images/featured/featured_19.jpg',
 			"featured_20"	=> REZA_DIR.'/admin/assets/images/featured/featured_20.jpg',
 			"featured_21"	=> REZA_DIR.'/admin/assets/images/featured/featured_21.jpg',
 			"featured_22"	=> REZA_DIR.'/admin/assets/images/featured/featured_22.jpg',
 			"featured_23"	=> REZA_DIR.'/admin/assets/images/featured/featured_23.jpg',
 			"featured_24"	=> REZA_DIR.'/admin/assets/images/featured/featured_24.jpg',
 			"featured_25"	=> REZA_DIR.'/admin/assets/images/featured/featured_25.jpg',
 			"featured_26"	=> REZA_DIR.'/admin/assets/images/featured/featured_26.jpg',
 			"featured_27"	=> REZA_DIR.'/admin/assets/images/featured/featured_27.jpg',
 			"featured_28"	=> REZA_DIR.'/admin/assets/images/featured/featured_28.jpg',
 			"featured_29"	=> REZA_DIR.'/admin/assets/images/featured/featured_29.jpg',
 			"featured_30"	=> REZA_DIR.'/admin/assets/images/featured/featured_30.jpg',
 			"featured_31"	=> REZA_DIR.'/admin/assets/images/featured/featured_31.jpg',
 			"featured_32"	=> REZA_DIR.'/admin/assets/images/featured/featured_32.jpg',
 		),						
				  
	);
	 	
	$option[]=  array( 
		"name"			=> esc_html__('Column in Tablet and Mobile','reza'),
 		"id"			=> "responsive_column",
 		"group"			=>  esc_html__('Layout','reza'),
 		"type"			=> "select",
 		"options" 		=> reza_array_options('first_responsive_column',true), 

	);
 
		
 	include REZA_PATH . '/sao-builder/blog/sao-blog-layout.php'; 
	
	include REZA_PATH . '/sao-builder/general/sao-title-box.php'; 
 	include REZA_PATH . '/sao-builder/blog/sao-blog-post-style.php'; 
 	include REZA_PATH . '/sao-builder/blog/sao-blog-typography.php'; 
  
   	include REZA_PATH . '/sao-builder/general/sao-element.php';
   	 
 
    return $option;

}
 /*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															Blog Preview
																		
*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
add_filter('sao_builder_perview_blog', 'reza_builder_perview_blog');
function reza_builder_perview_blog( $args ) {
	 
	
  		$key = $args['key'];
 		$option = $args['option'];
		$output='';
		$css='';
		if(!empty($option['title'])){
			$output.='<h4 class="rd-perview-header">'.$option['title'] .'</h4>'; 
		}
 		if(!empty($option['layout'])){
			if($option['layout'] =='list' && !empty($option['list_layout'])){
				$output.='<img src="'.REZA_DIR.'/admin/assets/images/list/'.esc_attr($option['list_layout']).'.jpg">'; 
			}
			if($option['layout'] =='grid' && !empty($option['grid_layout'])){
				$output.='<img src="'.REZA_DIR.'/admin/assets/images/grid/'.esc_attr($option['grid_layout']).'.jpg">'; 
			}
				if($option['layout'] =='featured' && !empty($option['featured_layout'])){
				$output.='<img src="'.REZA_DIR.'/admin/assets/images/featured/'.esc_attr($option['featured_layout']).'.jpg">'; 
			}
			
			
		}
		$css.= '.sao-element-'.$key.' {text-align: center;}'; 
  	$return['css']= $css;
	$return['output']= $output;
	return $return;
}
}
  /*****************************************************************************************************************************************************
******************************************************************************************************************************************************

															Blog Config
																		
*/////////////////////////////////////// /////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
add_filter('sao_builder_blog', 'reza_blog_config');
function reza_blog_config( $args,$out=false) {
  	wp_reset_query();
	wp_reset_postdata();
	$option = $args['option'];
	$key = $args['key']; 
	if(reza_element_show($option)=='show'){
		
  		$option['post_type']='post';
		$more_posts =!empty($option['more_posts'])? $option['more_posts']:'';
		$data_key=$more_posts =="pagenavi"?' data-key="'.$key.'" ':'';
		$layout =!empty($option['layout'])?$option['layout']:'list';
		$between_class =!empty($option['between'])? $option['between']:reza_option('blog_between');
		$ratio_class =!empty($option['ratio'])?$option['ratio']:reza_option('blog_ratio');
		$ratio_second_class =!empty($option['ratio_2'])?$option['ratio_2'].'-second':'';
		$alignment_class =!empty($option['alignment'])?$option['alignment']:reza_option('blog_alignment');
		$image_width =!empty($option['image_width'])? $option['image_width']:reza_option('blog_image_width');
		$image_width_2 =!empty($option['image_width_2'])? $option['image_width_2']:'';
		$box_layout =!empty($option['box_layout'])? $option['box_layout']:reza_option('blog_box_layout');
		$caption_layout =!empty($option['caption_layout'])? $option['caption_layout']: reza_option('blog_caption_layout');
		$custom_class = !empty( $option['custom_class']) ? $option['custom_class'] : '';			 
	
		$layout_class='';
		if($layout=='list'){
			$layout_class ='rd_img_width_'.$image_width;
			if(!empty($image_width_2)){
				$layout_class.=' rd_img_width_'.$image_width_2.'-second ';
			}
			$layout_class.= ' rd-'.$box_layout; 	
			
		}elseif($layout=='grid'){	
			$layout_class.= 'rd-'.$box_layout; 
				
		}elseif($layout=='featured'){	
			$layout_class='rd-cap-'.$caption_layout;
		 } 
		
		$classes = array(
			'rd-el-'.$key,
			'rd-ajax-tab',
 			'rd-gap-'.$between_class,
			$ratio_class,
			$ratio_second_class,
			'rd-align-'.reza_alignment($alignment_class),
			$layout_class,
			$custom_class,
			reza_image_caption_effect($option),	
			reza_element_show($option,true),
		); 
		
		ob_start(); 
		?>
		
		 <aside <?php  reza_el_id($option);?> class="<?php echo esc_attr(join( ' ', $classes ));?> " <?php echo reza_el_cssanime($option).wp_kses_post($data_key);?> >
			
			
			<?php reza_post_title_tabs($option,'reza_post_'.$layout);?>
			
			<div class="rd-gap-warp">
				<div class="rd-item-list rd-flex rd-aw <?php  echo esc_attr(reza_post_class($option));?>">
				
					<?php 
					if($layout=='list'){
						reza_post_list($option);
					}
					if($layout=='grid'){
						 reza_post_grid($option);
					}
					if($layout=='featured'){
						 reza_post_featured($option);
					}
					?>
					
				</div>
				
				
				<?php 
				if($more_posts == 'load_more'){
					reza_load_more($option,'reza_post_'.$layout);						
				}elseif($more_posts =="pagenavi"){
					reza_pagenavi($option);  
				}	
				?>
                
			</div> 
			
		</aside>  
		
		
		<?php
		$item = '.rd-el-'.$key.'';
		$item_css = reza_title_box_css($option,$item);
		$item_css.= reza_post_css($option,$item);
		$item_css.= reza_caption_css($option,$item);
		$item_css.= reza_element_padding($option);
		$css =reza_item_css($item_css,$item);
		$return['output']=  ob_get_clean();
		$return['css']= $css;
		$return['emptybefore']= true;
		$return['emptyafter']= true;
		
		if( !empty($out)){
			$output = $return['output'];
			$output.=!empty($return['css'])?'<style>'.$return['css'].'</style>':'';
			return $output;
		}else{
			return $return;	
		}
	}
}
 