<?php
if(is_admin()){

/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																		Staff Member Carousel
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
add_filter('sao_element_item', 'sao_element_item_staff_carousel');
function sao_element_item_staff_carousel( $element ) {
 	
 	$element[]= array(
 		'name'			=> 	esc_html__('Staff Member Carousel','reza'),
 		'id'			=> 'staff_carousel',
		'group'			=> esc_html__('magical','reza'),
		'img'			=>  REZA_DIR.'/admin/assets/images/element-staff-carousel.jpg',
  	); 
   
	return $element;
}  
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																		Staff Member Carousel Options
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
add_filter('sao_element_options_staff_carousel', 'reza_staff_carousel_options');
function reza_staff_carousel_options( $option ) {
 	 
  
	$option[]= array( 
 		"group"			=>  esc_html__('General','reza'),		  
	);	
	$option[]= array( 
 		"group"			=>  esc_html__('Slider','reza'),		  
	);	
	
	$option[]= array( 
 		"group"			=>  esc_html__('Layout','reza'),		  
	);		
 
 
	$option[]= array( 
 		"group"			=>  esc_html__('Staff Style','reza'),		  
	);		
	$option[]= array( 
 		"group"			=>  esc_html__('Typography','reza'),		  
	);	
 
	$option[]= array( 
 		"group"			=>  esc_html__('Attribute','reza'),		  
	);							
	
   	include REZA_PATH . '/sao-builder/staff/sao-staff-general.php'; 
	
	 
	$option[]= array( 
		"name"			=> __('Pager','reza'),
 		"id"			=> "pager",
		"default"		=>  1,
 		"group"			=>  __('Slider','reza'),
  		"type"			=> "checkbox",
 	); 		
	$option[]= array( 
		"name"			=> __('Pager Style','reza'),
 		"id"			=> "pager_style",
  		"group"			=> esc_html__('Slider','reza'),
  		"fold"			=>  array("1"=>"pager"),
 		"type"			=> "multi_options",
		"options"			=>	array( 	
		
		array( 
 				"name"			=> 	__('Pager Color','reza'),
 				"id"			=> "pager",
  				"type"			=> "color_rgba",
  			
 			), 	
  			array( 
				"name"			=> __('Active Color','reza'),			
  				"id"			=> "pager_actvie",
				"type"			=> "color_rgba",
 			),

					
		 	 
		
		), 			
	 
	); 		 	 
     	
	include REZA_PATH . '/sao-builder/general/sao-slider.php'; 

	$option[]= array( 
		"name"			=> esc_html__('Layout','reza'),
 		"id"			=> "layout",
 		"group"			=>  esc_html__('Layout','reza'),
  		"default"		=> 'list',
		"type"			=> "radio_image",
   		"options"		=>  array( 
  			"list"		=> REZA_DIR.'/admin/assets/images/list/list_1.jpg',
 			"grid"		=> REZA_DIR.'/admin/assets/images/grid/grid_1.jpg',
 			"featured"	=> REZA_DIR.'/admin/assets/images/featured/featured_1.jpg',
  		  
 		),						
				  
	); 
	$column=__('Column','reza');
	$option[]= array( 
		"name"			=> esc_html__('Column Layout','reza'),
 		"id"			=> "column",
 		"group"			=>  esc_html__('Layout','reza'),
  		"default"		=> '1',
		"type"			=> "select",
   		"options"		=>  array( 
		
 			"1"	=> "1 $column", 
 			"2"	=> "2 $column", 
 			"3"	=> "3 $column", 
 			"4"	=> "4 $column",  
  			"5"	=> "5 $column",  
 			"6"	=> "6 $column", 
			"7"	=> "7 $column", 
 			"8"	=> "8 $column", 
 		  
 		),						
				  
	);  
$option[]=  array( 
		"name"			=> esc_html__('Column Width in Tablet and Mobile','reza'),
 		"id"			=> "responsive_column",
 		"group"			=>  esc_html__('Layout','reza'),
 		"type"			=> "select",
		"options"		=>  array(
				''						=>	esc_html__('Default','reza'),
				"150"			=> '150px',
   				"200"			=> '200px',
   				"250"			=> '250px',
   				"300"			=> '300px',
   				"350"			=> '350px',
   				"400"			=> '400px',   
				)
 	);	 	
		
 	include REZA_PATH . '/sao-builder/staff/sao-staff-layout.php'; 
 	include REZA_PATH . '/sao-builder/staff/sao-staff-style.php'; 
 	include REZA_PATH . '/sao-builder/staff/sao-staff-typography.php'; 
  
   	include REZA_PATH . '/sao-builder/general/sao-element.php';
	   
	   
  	 
 
    return $option;
} 
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																		Staff Member Carousel Perview
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
add_filter('sao_builder_perview_staff_carousel', 'reza_builder_perview_staff_carousel');
function reza_builder_perview_staff_carousel( $args ) {
	 
	
  		$key = $args['key'];
 		$option = $args['option'];
		$output='';
		$css='';
	if(!empty($option['layout']) && !empty($option['column'])){
				$output ='<img src="'.REZA_DIR.'/admin/assets/images/'.$option['layout'].'-carousel/'.$option['layout'].'_carousel_'.esc_attr($option['column']).'.jpg">'; 
			}
		$css.= '.sao-element-'.$key.' {text-align: center;}'; 
  	$return['css']= $css;
	$return['output']= $output;
		return $return;
}
}
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************

																		Staff Member Carousel Config
																		
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
add_filter('sao_builder_staff_carousel', 'reza_staff_carousel_config');
function reza_staff_carousel_config( $args,$out = false ,$out_css=false) {
	wp_reset_query();
	wp_reset_postdata();
	
	$option = $args['option'];
	$key = $args['key']; 
	
	if(reza_element_show($option)=='show'){
		 
		
		$option['post_type']='staff';
		$slider =  empty(reza_ismobile())?'rd-slider':'';
		$pager =  !empty($option['pager'])?'rd-pager':'';
		$layout =!empty($option['layout'])?$option['layout']:'list';
		$column =!empty($option['column'])?$option['column']:3;
		$between_class =!empty($option['between'])? $option['between']:reza_option('blog_between');
		$ratio_class =!empty($option['ratio'])?$option['ratio']:'rd-ratio100';
		$image_width =!empty($option['image_width'])? $option['image_width']:reza_option('blog_image_width');
		$box_layout =!empty($option['box_layout'])? $option['box_layout']:reza_option('blog_box_layout');
		$caption_layout =!empty($option['caption_layout'])? $option['caption_layout']: reza_option('blog_caption_layout');
		$custom_class = !empty( $option['custom_class']) ? $option['custom_class'] : '';	
		$layout_class='';
		if($layout=='list'){
			$layout_class='rd_img_width_'.$image_width;
			$layout_class.= $box_layout!=='none'?' rd-boxed-item':' rd-none';
		}elseif($layout=='grid'){	
			$layout_class = $box_layout!=='none'?'rd-boxed-item-2':'rd-none';
				
		}elseif($layout=='featured'){	
			$layout_class='rd-cap-'.$caption_layout;
		} 
		
		$classes = array(
			'rd-el-'.$key,
			'rd-gap-'.$between_class,
			$ratio_class,
			'rd-slider',
			$pager,
			'rd-align-center',
			$layout_class,
			reza_image_caption_effect($option),	
			reza_element_show($option,true),
			$custom_class,
		);
			
		ob_start(); 
		?>
		
		 <aside <?php  reza_el_id($option);?> class="<?php echo esc_attr(join( ' ', $classes ));?> " <?php echo reza_el_cssanime($option);?> >
			
			<div class="rd-gap-warp dragscroll rd-aw  <?php  echo esc_attr(reza_post_carousel_class($option));?>">
				<div class="rd-item-list ">
					<?php 
					if($layout=='list'){
						reza_post_list_main($option);
					}
					if($layout=='grid'){
						 reza_post_grid_main($option);
					}
					if($layout=='featured'){
						 reza_post_featured_main($option);
					}
					?>
				 </div>
			
				<?php if(!empty($option['arrows'])  && empty(reza_ismobile())){?>
					<div class="rd-arrow-warp"><a class="rd-arrow-prev"></a><a class="rd-arrow-next"></a></div>
				<?php }?>
		  
			 </div>
             
			 <?php
            $slider_options = array(); 	
            $slider_options['speed']=  !empty($option['speed']) ? $option['speed'] : '1000';
            $slider_options['pause']= !empty($option['pause']) ? $option['pause'] : '5000';
            $slider_options['between']= '0';	
            $slider_options['pager']= !empty($option['pager']) ? true : '';
            $slider_options['timer']= false;	
            $slider_options['controls']=!empty($option['arrows']) ? true : '';
            $slider_options['auto']=  !empty($option['auto']) ? true : '';
             reza_lightslider($column,$slider_options);
  			?> 		 
 		 
		</aside> 
 	 
		<?php
		$item = '.rd-el-'.$key.'';
		$item_css = reza_staff_css($option,$item);
		$item_css.= reza_caption_css($option,$item);
		$item_css.= reza_element_padding($option);
		$item_css.= reza_arrow_layout_css($option);
		$item_css.= reza_pager_css($option);
 		$css =reza_item_css($item_css,$item);
 		$return['output']=  ob_get_clean();
		$return['css']= $css;
		$return['emptybefore']= true;
		$return['emptyafter']= true;
		
 		if( !empty($out)){
			$output = $return['output'];
			$output.=!empty($return['css'])?'<style>'.$return['css'].'</style>':'';
			return $output;
		}else{
			return $return;	
		}
	}
} 